Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.core.refactoring.participants
Class MoveRefactoring

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.ltk.core.refactoring.Refactoring
              org.eclipse.ltk.core.refactoring.participants.ProcessorBasedRefactoring
                  org.eclipse.ltk.core.refactoring.participants.MoveRefactoring

All Implemented Interfaces:
  IAdaptable

public class MoveRefactoring
extends ProcessorBasedRefactoring

A generic move refactoring. The actual refactoring is done by the move processor passed to the constructor.

This class is not intended to be subclassed by clients.

Since:
  3.0

Constructor Summary
`MoveRefactoring(MoveProcessor processor)` Creates a new move refactoring with the given move processor.

Method Summary
`MoveProcessor` | `getMoveProcessor()` Returns the move processor associated with this move refactoring.
`RefactoringProcessor` | `getProcessor()` Return the processor associated with this refactoring. The method must not return `null`.

Methods inherited from class org.eclipse.ltk.core.refactoring.participants.ProcessorBasedRefactoring
`checkFinalConditions, checkInitialConditions, createChange, getAdapter, getName, isApplicable, toString`

Methods inherited from class org.eclipse.ltk.core.refactoring.Refactoring
`checkAllConditions, getValidationContext, setValidationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MoveRefactoring

    public MoveRefactoring(MoveProcessor processor)

  Creates a new move refactoring with the given move processor.

Parameters:
  `processor` - the move processor

Method Detail

### getMoveProcessor

    public MoveProcessor getMoveProcessor()

  Returns the move processor associated with this move refactoring.

  Returns:
    returns the move processor associated with this move refactoring

### getProcessor

    public RefactoringProcessor getProcessor()

  Return the processor associated with this refactoring. The method must not return `null`.

  Specified by:
    `getProcessor` in class `ProcessorBasedRefactoring`
  Returns:
    the processor associated with this refactoring

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.